
/*******************************************************************************
	mpApplicationShell.c

       Associated Header file: mpApplicationShell.h
*******************************************************************************/

#include <stdio.h>

#ifdef MOTIF
#include <Xm/Xm.h>
#include <Xm/MwmUtil.h>
#include <Xm/MenuShell.h>
#endif /* MOTIF */

#include "UxXt.h"

#include <Xm/Label.h>
#include <Xm/Text.h>
#include <Xm/ScrolledW.h>
#include <Xm/PushB.h>
#include <Xm/TextF.h>
#include <Xm/ToggleBG.h>
#include <Xm/Scale.h>
#include <Xm/LabelG.h>
#include <Xm/Frame.h>
#include <Xm/CascadeB.h>
#include <Xm/PushBG.h>
#include <Xm/RowColumn.h>
#include <Xm/Form.h>
#include <X11/Shell.h>

/*******************************************************************************
       Includes, Defines, and Global variables from the Declarations Editor:
*******************************************************************************/

#include "Plugin_procs.h"


static	int _UxIfClassId;
/*******************************************************************************
       The following header file defines the context structure.
*******************************************************************************/

#ifndef XKLOADDS
#define XKLOADDS
#endif /* XKLOADDS */

#define CONTEXT_MACRO_ACCESS 1
#include "mpApplicationShell.h"
#undef CONTEXT_MACRO_ACCESS

Widget	mpApplicationShell;
Widget	mpTempScale;
Widget	mpRockRadioButton;
Widget	mpBluesRadioButton;
Widget	mpCountryRadioButton;
Widget	mpDrinkMenu_pane;
Widget	mpDrinkMenu_Coke;
Widget	mpDrinkMenu_Pepsi;
Widget	mpDrinkMenu_Beer;
Widget	mpDrinkMenu_Tequila;
Widget	mpDrinkMenu_Water;
Widget	mpDrinkMenu;
Widget	mpMsgTextField;
Widget	mpSendpushButton;
Widget	mpShowpushButton;
Widget	mpCopypushButton;
Widget	scrolledWindowText1;
Widget	scrolledText1;
Widget	mpFooterLabel;

/*******************************************************************************
       The following are callback functions.
*******************************************************************************/

static void  activateCB_mpMainMenu_File_Exit(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	QuitCurrentSession();
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  valueChangedCB_mpTempScale(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	{
	XmScaleCallbackStruct* cbs=(XmScaleCallbackStruct*)UxCallbackArg;
	
	reportNewTemp(cbs->value);
	
	
	}
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  valueChangedCB_mpRockRadioButton(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewMusic(0);
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  valueChangedCB_mpBluesRadioButton(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewMusic(1);
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  valueChangedCB_mpCountryRadioButton(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewMusic(2);
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  activateCB_mpDrinkMenu_Coke(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewDrink(0);
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  activateCB_mpDrinkMenu_Pepsi(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewDrink(1);
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  activateCB_mpDrinkMenu_Beer(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewDrink(2);
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  activateCB_mpDrinkMenu_Tequila(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewDrink(3);
	UxMpApplicationShellContext = UxSaveCtx;
}

static void  activateCB_mpDrinkMenu_Water(
			Widget wgt, 
			XtPointer cd, 
			XtPointer cb)
{
	_UxCmpApplicationShell  *UxSaveCtx, *UxContext;
	Widget                  UxWidget = wgt;
	XtPointer               UxClientData = cd;
	XtPointer               UxCallbackArg = cb;

	UxSaveCtx = UxMpApplicationShellContext;
	UxMpApplicationShellContext = UxContext =
			(_UxCmpApplicationShell *) UxGetContext( UxWidget );
	reportNewDrink(4);
	UxMpApplicationShellContext = UxSaveCtx;
}

/*******************************************************************************
       The 'build_' function creates all the widgets
       using the resource values specified in the Property Editor.
*******************************************************************************/

static Widget	_Uxbuild_mpApplicationShell()
{
	Widget		mpMainMenu_File_shell;
	Widget		mpDrinkMenu_pane_shell;


	/* Creation of mpApplicationShell */
	mpApplicationShell = XtVaCreatePopupShell( "mpApplicationShell",
			applicationShellWidgetClass,
			UxTopLevel,
			XmNiconName, "Original Plugin Example",
			XmNmwmFunctions, 19,
			XmNtitle, "Original Plugin Example",
			XmNallowShellResize, TRUE,
			NULL );
	UxPutContext( mpApplicationShell, (char *) UxMpApplicationShellContext );


	/* Creation of mpMainForm */
	mpMainForm = XtVaCreateManagedWidget( "mpMainForm",
			xmFormWidgetClass,
			mpApplicationShell,
			XmNresizePolicy, XmRESIZE_ANY,
			XmNunitType, XmPIXELS,
			NULL );
	UxPutContext( mpMainForm, (char *) UxMpApplicationShellContext );


	/* Creation of mpMainMenu */
	mpMainMenu = XtVaCreateManagedWidget( "mpMainMenu",
			xmRowColumnWidgetClass,
			mpMainForm,
			XmNrowColumnType, XmMENU_BAR,
			XmNleftAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_FORM,
			NULL );
	UxPutContext( mpMainMenu, (char *) UxMpApplicationShellContext );


	/* Creation of mpMainMenu_File */
	mpMainMenu_File_shell = XtVaCreatePopupShell ("mpMainMenu_File_shell",
			xmMenuShellWidgetClass, mpMainMenu,
			XmNwidth, 1,
			XmNheight, 1,
			XmNallowShellResize, TRUE,
			XmNoverrideRedirect, TRUE,
			NULL );

	mpMainMenu_File = XtVaCreateWidget( "mpMainMenu_File",
			xmRowColumnWidgetClass,
			mpMainMenu_File_shell,
			XmNrowColumnType, XmMENU_PULLDOWN,
			NULL );
	UxPutContext( mpMainMenu_File, (char *) UxMpApplicationShellContext );


	/* Creation of mpMainMenu_File_Exit */
	mpMainMenu_File_Exit = XtVaCreateManagedWidget( "mpMainMenu_File_Exit",
			xmPushButtonGadgetClass,
			mpMainMenu_File,
			RES_CONVERT( XmNlabelString, "Exit" ),
			RES_CONVERT( XmNmnemonic, "x" ),
			NULL );
	XtAddCallback( mpMainMenu_File_Exit, XmNactivateCallback,
		(XtCallbackProc) activateCB_mpMainMenu_File_Exit,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpMainMenu_File_Exit, (char *) UxMpApplicationShellContext );


	/* Creation of mpMainMenu_File_button */
	mpMainMenu_File_button = XtVaCreateManagedWidget( "mpMainMenu_File_button",
			xmCascadeButtonWidgetClass,
			mpMainMenu,
			RES_CONVERT( XmNlabelString, "File" ),
			RES_CONVERT( XmNmnemonic, "F" ),
			XmNsubMenuId, mpMainMenu_File,
			NULL );
	UxPutContext( mpMainMenu_File_button, (char *) UxMpApplicationShellContext );


	/* Creation of mpTitleFrame */
	mpTitleFrame = XtVaCreateManagedWidget( "mpTitleFrame",
			xmFrameWidgetClass,
			mpMainForm,
			XmNleftAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_FORM,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpMainMenu,
			NULL );
	UxPutContext( mpTitleFrame, (char *) UxMpApplicationShellContext );


	/* Creation of mpTitleLabel */
	mpTitleLabel = XtVaCreateManagedWidget( "mpTitleLabel",
			xmLabelGadgetClass,
			mpTitleFrame,
			RES_CONVERT( XmNlabelString, "This is an example of an OpenDVE Plugin.  This example was\n\
created with Architect utilizing the Xt Toolkit.\n\
\n\
Simply move the widgets to see the\n\
actions distributed among the conference members." ),
			XmNmarginBottom, 5,
			XmNmarginTop, 5,
			NULL );
	UxPutContext( mpTitleLabel, (char *) UxMpApplicationShellContext );


	/* Creation of mpTempFrame */
	mpTempFrame = XtVaCreateManagedWidget( "mpTempFrame",
			xmFrameWidgetClass,
			mpMainForm,
			XmNheight, 60,
			XmNleftAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_FORM,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpTitleFrame,
			NULL );
	UxPutContext( mpTempFrame, (char *) UxMpApplicationShellContext );


	/* Creation of mpTempForm */
	mpTempForm = XtVaCreateManagedWidget( "mpTempForm",
			xmFormWidgetClass,
			mpTempFrame,
			XmNresizePolicy, XmRESIZE_NONE,
			XmNheight, 55,
			XmNfractionBase, 100,
			NULL );
	UxPutContext( mpTempForm, (char *) UxMpApplicationShellContext );


	/* Creation of mpTempLabel */
	mpTempLabel = XtVaCreateManagedWidget( "mpTempLabel",
			xmLabelGadgetClass,
			mpTempForm,
			XmNbottomAttachment, XmATTACH_FORM,
			RES_CONVERT( XmNlabelString, "Temperature:" ),
			XmNtopAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_NONE,
			XmNrightPosition, 30,
			XmNleftAttachment, XmATTACH_POSITION,
			XmNleftOffset, 0,
			XmNleftPosition, 15,
			NULL );
	UxPutContext( mpTempLabel, (char *) UxMpApplicationShellContext );


	/* Creation of mpTempMinLabel */
	mpTempMinLabel = XtVaCreateManagedWidget( "mpTempMinLabel",
			xmLabelGadgetClass,
			mpTempForm,
			XmNbottomAttachment, XmATTACH_FORM,
			RES_CONVERT( XmNlabelString, "0" ),
			XmNleftAttachment, XmATTACH_WIDGET,
			XmNleftWidget, mpTempLabel,
			XmNtopAttachment, XmATTACH_FORM,
			NULL );
	UxPutContext( mpTempMinLabel, (char *) UxMpApplicationShellContext );


	/* Creation of mpTempScale */
	mpTempScale = XtVaCreateManagedWidget( "mpTempScale",
			xmScaleWidgetClass,
			mpTempForm,
			XmNorientation, XmHORIZONTAL,
			XmNleftAttachment, XmATTACH_WIDGET,
			XmNleftWidget, mpTempMinLabel,
			XmNshowValue, TRUE,
			XmNvalue, 50,
			XmNbottomAttachment, XmATTACH_FORM,
			XmNbottomOffset, 10,
			XmNtopAttachment, XmATTACH_FORM,
			XmNtopOffset, 10,
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpTempScale, XmNvalueChangedCallback,
		(XtCallbackProc) valueChangedCB_mpTempScale,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpTempScale, (char *) UxMpApplicationShellContext );


	/* Creation of mpMaxTempLabel */
	mpMaxTempLabel = XtVaCreateManagedWidget( "mpMaxTempLabel",
			xmLabelGadgetClass,
			mpTempForm,
			XmNbottomAttachment, XmATTACH_FORM,
			XmNleftAttachment, XmATTACH_WIDGET,
			XmNleftWidget, mpTempScale,
			XmNtopAttachment, XmATTACH_FORM,
			RES_CONVERT( XmNlabelString, "100" ),
			NULL );
	UxPutContext( mpMaxTempLabel, (char *) UxMpApplicationShellContext );


	/* Creation of mpPrefsFrame */
	mpPrefsFrame = XtVaCreateManagedWidget( "mpPrefsFrame",
			xmFrameWidgetClass,
			mpMainForm,
			XmNleftAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_FORM,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpTempFrame,
			NULL );
	UxPutContext( mpPrefsFrame, (char *) UxMpApplicationShellContext );


	/* Creation of mpPrefsForm */
	mpPrefsForm = XtVaCreateManagedWidget( "mpPrefsForm",
			xmFormWidgetClass,
			mpPrefsFrame,
			XmNresizePolicy, XmRESIZE_NONE,
			NULL );
	UxPutContext( mpPrefsForm, (char *) UxMpApplicationShellContext );


	/* Creation of mpMusicLabel */
	mpMusicLabel = XtVaCreateManagedWidget( "mpMusicLabel",
			xmLabelGadgetClass,
			mpPrefsForm,
			RES_CONVERT( XmNlabelString, "Music Choices:" ),
			XmNtopAttachment, XmATTACH_FORM,
			XmNbottomAttachment, XmATTACH_FORM,
			XmNleftOffset, 0,
			XmNleftAttachment, XmATTACH_POSITION,
			XmNleftPosition, 3,
			NULL );
	UxPutContext( mpMusicLabel, (char *) UxMpApplicationShellContext );


	/* Creation of mpMusicRowColumn */
	mpMusicRowColumn = XtVaCreateManagedWidget( "mpMusicRowColumn",
			xmRowColumnWidgetClass,
			mpPrefsForm,
			XmNleftAttachment, XmATTACH_WIDGET,
			XmNleftWidget, mpMusicLabel,
			XmNtopAttachment, XmATTACH_FORM,
			NULL );
	UxPutContext( mpMusicRowColumn, (char *) UxMpApplicationShellContext );


	/* Creation of mpRockRadioButton */
	mpRockRadioButton = XtVaCreateManagedWidget( "mpRockRadioButton",
			xmToggleButtonGadgetClass,
			mpMusicRowColumn,
			XmNx, 0,
			XmNy, 0,
			XmNwidth, 70,
			XmNheight, 25,
			RES_CONVERT( XmNlabelString, "Rock" ),
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpRockRadioButton, XmNvalueChangedCallback,
		(XtCallbackProc) valueChangedCB_mpRockRadioButton,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpRockRadioButton, (char *) UxMpApplicationShellContext );


	/* Creation of mpBluesRadioButton */
	mpBluesRadioButton = XtVaCreateManagedWidget( "mpBluesRadioButton",
			xmToggleButtonGadgetClass,
			mpMusicRowColumn,
			RES_CONVERT( XmNlabelString, "Blues" ),
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpBluesRadioButton, XmNvalueChangedCallback,
		(XtCallbackProc) valueChangedCB_mpBluesRadioButton,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpBluesRadioButton, (char *) UxMpApplicationShellContext );


	/* Creation of mpCountryRadioButton */
	mpCountryRadioButton = XtVaCreateManagedWidget( "mpCountryRadioButton",
			xmToggleButtonGadgetClass,
			mpMusicRowColumn,
			RES_CONVERT( XmNlabelString, "Country" ),
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpCountryRadioButton, XmNvalueChangedCallback,
		(XtCallbackProc) valueChangedCB_mpCountryRadioButton,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpCountryRadioButton, (char *) UxMpApplicationShellContext );


	/* Creation of mpDrinkMenu_pane */
	mpDrinkMenu_pane_shell = XtVaCreatePopupShell ("mpDrinkMenu_pane_shell",
			xmMenuShellWidgetClass, mpPrefsForm,
			XmNwidth, 1,
			XmNheight, 1,
			XmNallowShellResize, TRUE,
			XmNoverrideRedirect, TRUE,
			NULL );

	mpDrinkMenu_pane = XtVaCreateWidget( "mpDrinkMenu_pane",
			xmRowColumnWidgetClass,
			mpDrinkMenu_pane_shell,
			XmNrowColumnType, XmMENU_PULLDOWN,
			NULL );
	UxPutContext( mpDrinkMenu_pane, (char *) UxMpApplicationShellContext );


	/* Creation of mpDrinkMenu_Coke */
	mpDrinkMenu_Coke = XtVaCreateManagedWidget( "mpDrinkMenu_Coke",
			xmPushButtonGadgetClass,
			mpDrinkMenu_pane,
			RES_CONVERT( XmNlabelString, "Coke" ),
			RES_CONVERT( XmNmnemonic, "C" ),
			NULL );
	XtAddCallback( mpDrinkMenu_Coke, XmNactivateCallback,
		(XtCallbackProc) activateCB_mpDrinkMenu_Coke,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpDrinkMenu_Coke, (char *) UxMpApplicationShellContext );


	/* Creation of mpDrinkMenu_Pepsi */
	mpDrinkMenu_Pepsi = XtVaCreateManagedWidget( "mpDrinkMenu_Pepsi",
			xmPushButtonGadgetClass,
			mpDrinkMenu_pane,
			RES_CONVERT( XmNlabelString, "Pepsi" ),
			RES_CONVERT( XmNmnemonic, "P" ),
			NULL );
	XtAddCallback( mpDrinkMenu_Pepsi, XmNactivateCallback,
		(XtCallbackProc) activateCB_mpDrinkMenu_Pepsi,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpDrinkMenu_Pepsi, (char *) UxMpApplicationShellContext );


	/* Creation of mpDrinkMenu_Beer */
	mpDrinkMenu_Beer = XtVaCreateManagedWidget( "mpDrinkMenu_Beer",
			xmPushButtonGadgetClass,
			mpDrinkMenu_pane,
			RES_CONVERT( XmNlabelString, "Beer" ),
			RES_CONVERT( XmNmnemonic, "B" ),
			NULL );
	XtAddCallback( mpDrinkMenu_Beer, XmNactivateCallback,
		(XtCallbackProc) activateCB_mpDrinkMenu_Beer,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpDrinkMenu_Beer, (char *) UxMpApplicationShellContext );


	/* Creation of mpDrinkMenu_Tequila */
	mpDrinkMenu_Tequila = XtVaCreateManagedWidget( "mpDrinkMenu_Tequila",
			xmPushButtonGadgetClass,
			mpDrinkMenu_pane,
			RES_CONVERT( XmNlabelString, "Tequila" ),
			RES_CONVERT( XmNmnemonic, "T" ),
			NULL );
	XtAddCallback( mpDrinkMenu_Tequila, XmNactivateCallback,
		(XtCallbackProc) activateCB_mpDrinkMenu_Tequila,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpDrinkMenu_Tequila, (char *) UxMpApplicationShellContext );


	/* Creation of mpDrinkMenu_Water */
	mpDrinkMenu_Water = XtVaCreateManagedWidget( "mpDrinkMenu_Water",
			xmPushButtonGadgetClass,
			mpDrinkMenu_pane,
			RES_CONVERT( XmNlabelString, "Water" ),
			RES_CONVERT( XmNmnemonic, "W" ),
			NULL );
	XtAddCallback( mpDrinkMenu_Water, XmNactivateCallback,
		(XtCallbackProc) activateCB_mpDrinkMenu_Water,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpDrinkMenu_Water, (char *) UxMpApplicationShellContext );


	/* Creation of mpDrinkMenu */
	mpDrinkMenu = XtVaCreateManagedWidget( "mpDrinkMenu",
			xmRowColumnWidgetClass,
			mpPrefsForm,
			XmNrowColumnType, XmMENU_OPTION,
			XmNsubMenuId, mpDrinkMenu_pane,
			RES_CONVERT( XmNlabelString, "Drink Selection:" ),
			RES_CONVERT( XmNmnemonic, "D" ),
			XmNleftAttachment, XmATTACH_WIDGET,
			XmNleftWidget, mpMusicRowColumn,
			XmNtopAttachment, XmATTACH_POSITION,
			XmNtopPosition, 30,
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	UxPutContext( mpDrinkMenu, (char *) UxMpApplicationShellContext );


	/* Creation of mpMsgFrame */
	mpMsgFrame = XtVaCreateManagedWidget( "mpMsgFrame",
			xmFrameWidgetClass,
			mpMainForm,
			XmNrightAttachment, XmATTACH_FORM,
			XmNleftAttachment, XmATTACH_FORM,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNbottomAttachment, XmATTACH_NONE,
			XmNtopWidget, mpPrefsFrame,
			NULL );
	UxPutContext( mpMsgFrame, (char *) UxMpApplicationShellContext );


	/* Creation of mpMsgForm */
	mpMsgForm = XtVaCreateManagedWidget( "mpMsgForm",
			xmFormWidgetClass,
			mpMsgFrame,
			XmNresizePolicy, XmRESIZE_NONE,
			XmNfractionBase, 3,
			NULL );
	UxPutContext( mpMsgForm, (char *) UxMpApplicationShellContext );


	/* Creation of mpMsgTextField */
	mpMsgTextField = XtVaCreateManagedWidget( "mpMsgTextField",
			xmTextFieldWidgetClass,
			mpMsgForm,
			XmNrightAttachment, XmATTACH_FORM,
			XmNleftAttachment, XmATTACH_FORM,
			XmNbottomAttachment, XmATTACH_NONE,
			XmNbottomWidget, NULL,
			XmNleftOffset, 0,
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpMsgTextField, XmNactivateCallback,
		(XtCallbackProc) reportSendpushButton,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpMsgTextField, (char *) UxMpApplicationShellContext );


	/* Creation of mpSendpushButton */
	mpSendpushButton = XtVaCreateManagedWidget( "mpSendpushButton",
			xmPushButtonWidgetClass,
			mpMsgForm,
			RES_CONVERT( XmNlabelString, "Send Message" ),
			XmNrightAttachment, XmATTACH_POSITION,
			XmNleftAttachment, XmATTACH_POSITION,
			XmNleftWidget, NULL,
			XmNrightPosition, 3,
			XmNleftPosition, 2,
			XmNleftOffset, 3,
			XmNrightOffset, 6,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpMsgTextField,
			XmNtopOffset, 5,
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpSendpushButton, XmNactivateCallback,
		(XtCallbackProc) reportSendpushButton,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpSendpushButton, (char *) UxMpApplicationShellContext );


	/* Creation of mpShowpushButton */
	mpShowpushButton = XtVaCreateManagedWidget( "mpShowpushButton",
			xmPushButtonWidgetClass,
			mpMsgForm,
			RES_CONVERT( XmNlabelString, "Show Clipboard" ),
			XmNleftAttachment, XmATTACH_POSITION,
			XmNleftPosition, 1,
			XmNrightAttachment, XmATTACH_POSITION,
			XmNrightPosition, 2,
			XmNleftOffset, 3,
			XmNrightOffset, 3,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpMsgTextField,
			XmNtopOffset, 5,
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpShowpushButton, XmNactivateCallback,
		(XtCallbackProc) reportShowpushButton,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpShowpushButton, (char *) UxMpApplicationShellContext );


	/* Creation of mpCopypushButton */
	mpCopypushButton = XtVaCreateManagedWidget( "mpCopypushButton",
			xmPushButtonWidgetClass,
			mpMsgForm,
			RES_CONVERT( XmNlabelString, "Copy To Clipboard" ),
			XmNrightAttachment, XmATTACH_POSITION,
			XmNrightWidget, NULL,
			XmNleftAttachment, XmATTACH_POSITION,
			XmNrightPosition, 1,
			XmNleftOffset, 6,
			XmNrightOffset, 3,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpMsgTextField,
			XmNtopOffset, 5,
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	XtAddCallback( mpCopypushButton, XmNactivateCallback,
		(XtCallbackProc) reportCopypushButton,
		(XtPointer) UxMpApplicationShellContext );

	UxPutContext( mpCopypushButton, (char *) UxMpApplicationShellContext );


	/* Creation of scrolledWindowText1 */
	scrolledWindowText1 = XtVaCreateManagedWidget( "scrolledWindowText1",
			xmScrolledWindowWidgetClass,
			mpMsgForm,
			XmNrightAttachment, XmATTACH_FORM,
			XmNleftAttachment, XmATTACH_FORM,
			XmNbottomAttachment, XmATTACH_FORM,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpCopypushButton,
			XmNscrollingPolicy, XmAPPLICATION_DEFINED,
			XmNscrolledWindowMarginHeight, 2,
			XmNscrolledWindowMarginWidth, 2,
			XmNbottomOffset, 0,
			XmNtopOffset, 5,
			XmNnavigationType, XmSTICKY_TAB_GROUP,
			NULL );
	UxPutContext( scrolledWindowText1, (char *) UxMpApplicationShellContext );


	/* Creation of scrolledText1 */
	scrolledText1 = XtVaCreateManagedWidget( "scrolledText1",
			xmTextWidgetClass,
			scrolledWindowText1,
			XmNeditable, FALSE,
			XmNscrollHorizontal, FALSE,
			XmNwordWrap, TRUE,
			XmNeditMode, XmMULTI_LINE_EDIT ,
			XmNrows, 10,
			NULL );
	UxPutContext( scrolledText1, (char *) UxMpApplicationShellContext );


	/* Creation of mpFooterFrame */
	mpFooterFrame = XtVaCreateManagedWidget( "mpFooterFrame",
			xmFrameWidgetClass,
			mpMainForm,
			XmNleftAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_FORM,
			XmNshadowType, XmSHADOW_IN,
			XmNtopAttachment, XmATTACH_WIDGET,
			XmNtopWidget, mpMsgFrame,
			XmNbottomAttachment, XmATTACH_NONE,
			XmNshadowThickness, 1,
			NULL );
	UxPutContext( mpFooterFrame, (char *) UxMpApplicationShellContext );


	/* Creation of form1 */
	form1 = XtVaCreateManagedWidget( "form1",
			xmFormWidgetClass,
			mpFooterFrame,
			XmNresizePolicy, XmRESIZE_NONE,
			XmNshadowThickness, 2,
			XmNshadowType, XmSHADOW_IN,
			XmNheight, 31,
			NULL );
	UxPutContext( form1, (char *) UxMpApplicationShellContext );


	/* Creation of frame1 */
	frame1 = XtVaCreateManagedWidget( "frame1",
			xmFrameWidgetClass,
			form1,
			XmNx, 0,
			XmNy, 0,
			XmNbottomAttachment, XmATTACH_FORM,
			XmNrightAttachment, XmATTACH_FORM,
			XmNtopAttachment, XmATTACH_FORM,
			XmNleftAttachment, XmATTACH_FORM,
			XmNleftOffset, 2,
			XmNbottomPosition, 2,
			XmNrightOffset, 2,
			XmNtopOffset, 2,
			XmNbottomOffset, 2,
			XmNshadowType, XmSHADOW_IN,
			NULL );
	UxPutContext( frame1, (char *) UxMpApplicationShellContext );


	/* Creation of mpFooterLabel */
	mpFooterLabel = XtVaCreateManagedWidget( "mpFooterLabel",
			xmLabelWidgetClass,
			frame1,
			RES_CONVERT( XmNlabelString, "" ),
			NULL );
	UxPutContext( mpFooterLabel, (char *) UxMpApplicationShellContext );


	XtAddCallback( mpApplicationShell, XmNdestroyCallback,
		(XtCallbackProc) UxDestroyContextCB,
		(XtPointer) UxMpApplicationShellContext);


	return ( mpApplicationShell );
}

/*******************************************************************************
       The following is the 'Interface function' which is the
       external entry point for creating this interface.
       This function should be called from your application or from
       a callback function.
*******************************************************************************/

Widget	create_mpApplicationShell()
{
	Widget                  rtrn;
	_UxCmpApplicationShell  *UxContext;
	static int		_Uxinit = 0;

	UxMpApplicationShellContext = UxContext =
		(_UxCmpApplicationShell *) UxNewContext( sizeof(_UxCmpApplicationShell), False );


	if ( ! _Uxinit )
	{
		_UxIfClassId = UxNewInterfaceClassId();
		_Uxinit = 1;
	}

	rtrn = _Uxbuild_mpApplicationShell();
	UxPutClassCode( mpApplicationShell, _UxIfClassId );

	return(rtrn);
}

/*******************************************************************************
       END OF FILE
*******************************************************************************/

